Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.revisioninfo
Class RevisionInfoNumberReader

    java.lang.Object
      org.hibernate.envers.revisioninfo.RevisionInfoNumberReader

    public class RevisionInfoNumberReader

extends Object

Gets a revision number from a persisted revision info entity.

Constructor Summary
`RevisionInfoNumberReader(Class<?> revisionInfoClass, PropertyData revisionInfoIdData)`

Method Summary
`Number` | `getRevisionNumber(Object revision)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevisionInfoNumberReader

    public RevisionInfoNumberReader(Class<?> revisionInfoClass,
                                    PropertyData revisionInfoIdData)

Method Detail

### getRevisionNumber

    public Number getRevisionNumber(Object revision)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.